| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSegment2 Class Reference
[Geometry utilities]

A 2D line segment. More...

`#include <csgeom/segment.h>`

List of all members.

## Public Member Functions
| csSegment2 ()
| Make a new uninitialized segment.
| csSegment2 (const csVector2 &s, const csVector2 &e)
| Make a new segment and initialize with the given values.
csVector2 & | End ()
| Get the end of the segment.
const csVector2 & | End () const
| Get the end of the segment.
void | Set (const csVector2 &s, const csVector2 &e)
| Set segment to given values.
void | SetEnd (const csVector2 &e)
| Set the end of the segment.
void | SetStart (const csVector2 &s)
| Set the start of the segment.
csVector2 & | Start ()
| Get the start of the segment.
const csVector2 & | Start () const
| Get the start of the segment.
| ~csSegment2 ()
| Destructor.

## Detailed Description

A 2D line segment.

Definition at line 37 of file segment.h.

## Constructor & Destructor Documentation

csSegment2::csSegment2 | ( | const csVector2 & | s,
|  | const csVector2 & | e |
| ) |  |  | `[inline]`

Make a new segment and initialize with the given values.

Definition at line 47 of file segment.h.

csSegment2::csSegment2 | ( |  | ) | `[inline]`

Make a new uninitialized segment.

Definition at line 49 of file segment.h.

csSegment2::~csSegment2 | ( |  | ) | `[inline]`

Destructor.

Definition at line 51 of file segment.h.

## Member Function Documentation

csVector2& csSegment2::End | ( |  | ) | `[inline]`

Get the end of the segment.

Definition at line 73 of file segment.h.

const csVector2& csSegment2::End | ( |  | ) | const`[inline]`

Get the end of the segment.

Definition at line 67 of file segment.h.

Referenced by csIntersect2::SegmentPlane(), csIntersect2::SegmentPlaneNoTest(), csPlane2::Set(), and csMath2::WhichSide2D().

void csSegment2::Set | ( | const csVector2 & | s,
|  | const csVector2 & | e |
| ) |  |  | `[inline]`

Set segment to given values.

Definition at line 54 of file segment.h.

void csSegment2::SetEnd | ( | const csVector2 & | e | ) | `[inline]`

Set the end of the segment.

Definition at line 61 of file segment.h.

Referenced by csBox2::GetEdge().

void csSegment2::SetStart | ( | const csVector2 & | s | ) | `[inline]`

Set the start of the segment.

Definition at line 58 of file segment.h.

Referenced by csBox2::GetEdge().

csVector2& csSegment2::Start | ( |  | ) | `[inline]`

Get the start of the segment.

Definition at line 70 of file segment.h.

const csVector2& csSegment2::Start | ( |  | ) | const`[inline]`

Get the start of the segment.

Definition at line 64 of file segment.h.

Referenced by csIntersect2::SegmentPlane(), csIntersect2::SegmentPlaneNoTest(), csPlane2::Set(), and csMath2::WhichSide2D().

The documentation for this class was generated from the following file:

- csgeom/segment.h